LATEX-L Archives

Mailing list for the LaTeX3 project

LATEX-L@LISTSERV.UNI-HEIDELBERG.DE

Options: Use Forum View

Use Proportional Font
Show HTML Part by Default
Show All Mail Headers

Message: [<< First] [< Prev] [Next >] [Last >>]
Topic: [<< First] [< Prev] [Next >] [Last >>]
Author: [<< First] [< Prev] [Next >] [Last >>]

Print Reply
Subject:
From:
David Kastrup <[log in to unmask]>
Reply To:
Mailing list for the LaTeX3 project <[log in to unmask]>
Date:
Tue, 7 Jan 2003 10:07:12 +0100
Content-Type:
text/plain
Parts/Attachments:
text/plain (46 lines)
        Martin Schroeder <[log in to unmask]> writes:

> On 2003-01-07 00:28:44 +0100, David Kastrup wrote:
> > Do you know of a single document that would fail if e-TeX was used?
>
> But to quote your proposal: "The format/executable combination
> that distribution vendors are to use for the executables named
> `latex' and `pdflatex' is to be eTeX". That would break _all_
> documents when the distribution/installation doesn't contain
> eTeX, as is the case for all commercial distributors.

Nonsense.  This would break not a single document.  It would make
those commercial distributions non-compliant.  So the commercial
distributors would have to face the fact that

a) _future_ versions of LaTeX2e might not work with their
distributions unless they updated them.

b) more people might be developing styles that won't work with their
software.

Existing documents would not suffer unless you were to install a
LaTeX2e version that did not work without eTeX (and that was the plan
only for the 2004 release).  But why would you upgrade your LaTeX to
a non-functioning setup?

> And what would the user gain from eTeX?

Being able to install the newest versions of LaTeX2e also in the
future, being able to use new styles and other stuff developed from
people that sigh a sign of relief no longer having to fight with
working around the ugliest shortcomings of TeX because the LaTeX2e
team has decided to never admit progress.

> Many are still using 2.09 anyway :-(

And those could continue to use old versions of LaTeX2e or LaTeX2.09
if they wanted to.  If they don't want new developments, nobody
forces them to take a look at them.

But that does not mean that there must be no new developments for
those that would care for them.

--
David Kastrup, Kriemhildstr. 15, 44793 Bochum

ATOM RSS1 RSS2